angular.module('focaModalFacturaDetalle')
    .controller('focaModalFacturaDetalleController', 
        [
            '$scope',
            '$uibModalInstance',
            'focaModalFacturaDetalleService',
            'factura',
            function($scope, $uibModalInstance,
                focaModalFacturaDetalleService, factura
            ) {
                $scope.factura = factura;
                $scope.detalles = [];
                focaModalFacturaDetalleService
                    .getFacturasDetalleByNCO({
                        tip: factura.TIP,
                        tco: factura.TCO,
                        suc: factura.SUC,
                        nco: factura.NCO
                    })
                    .then(function(res) {
                        $scope.detalles = res.data;
                    });

                $scope.cerrar = function() {
                    $uibModalInstance.dismiss();
                };

                switch(factura.TCO){
                    case 'NC':
                        $scope.factura.tipoComprobante = 'Nota de crédito';
                        break;
                    case 'CI':
                        $scope.factura.tipoComprobante = 'Comprobante interno';
                        break;
                    case 'ND':
                        $scope.factura.tipoComprobante = 'Nota de débito';
                        break;
                    case 'NI':
                        $scope.factura.tipoComprobante = 'No de débito interno';
                        break;
                    case 'TI':
                        $scope.factura.tipoComprobante = 'Ticket';
                        break;
                    case 'FT':
                        $scope.factura.tipoComprobante = 'Factura';
                        break;
                }
            }
        ]
    );
